Index: cprs/branches/GUI-config/GUI_Config.dsk
===================================================================
--- cprs/branches/GUI-config/GUI_Config.dsk	(revision 828)
+++ cprs/branches/GUI-config/GUI_Config.dsk	(revision 872)
@@ -1,23 +1,20 @@
 [Closed Files]
-File_0=SourceModule,'P:\vista\GUI-config\MainU.dfm',0,1,1,1,1,0,0
-File_1=SourceModule,'P:\Vista\GUI-config\CPRS-Lib\ORCtrls.pas',0,1,293,1,305,0,0
-File_2=SourceModule,'P:\Vista\GUI-config\CPRS-Lib\ORFn.pas',0,1,613,1,623,0,0
-File_3=SourceModule,'P:\vista\GUI-config\BDK32\Source\wsockc.pas',0,1,1333,1,1346,0,0
-File_4=SourceModule,'P:\vista\GUI-config\PostU.pas',0,1,34,62,10,0,0
-File_5=SourceModule,'P:\vista\GUI-config\SkinFormU.pas',0,1,87,16,95,0,0
-File_6=SourceModule,'P:\Vista\GUI-config\CPRS-Lib\ORNet.pas',0,1,1,1,310,0,0
-File_7=SourceModule,'c:\program files\borland\delphi7\source\vcl\OleCtrls.pas',0,1,85,27,96,0,0
-File_8=SourceModule,'P:\vista\GUI-config\BDK32\Source\ccowrpcbroker.pas',0,1,44,29,45,0,0
-File_9=SourceModule,'P:\vista\GUI-config\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas',0,1,1104,11,1110,0,0
+File_0=SourceModule,'P:\vista\GUI-config\AboutU.pas',0,1,98,1,109,0,0
+File_1=SourceModule,'P:\vista\GUI-config\frmSplash.pas',0,1,56,26,60,0,0
+File_2=SourceModule,'P:\vista\GUI-config\MainU.dfm',0,1,1,1,1,0,0
+File_3=SourceModule,'P:\Vista\GUI-config\CPRS-Lib\ORCtrls.pas',0,1,293,1,305,0,0
+File_4=SourceModule,'P:\Vista\GUI-config\CPRS-Lib\ORFn.pas',0,1,613,1,623,0,0
+File_5=SourceModule,'P:\vista\GUI-config\BDK32\Source\wsockc.pas',0,1,1333,1,1346,0,0
+File_6=SourceModule,'P:\vista\GUI-config\PostU.pas',0,1,34,62,10,0,0
+File_7=SourceModule,'P:\vista\GUI-config\SkinFormU.pas',0,1,87,16,95,0,0
+File_8=SourceModule,'P:\Vista\GUI-config\CPRS-Lib\ORNet.pas',0,1,1,1,310,0,0
+File_9=SourceModule,'c:\program files\borland\delphi7\source\vcl\OleCtrls.pas',0,1,85,27,96,0,0
 
 [Modules]
 Module0=P:\vista\GUI-config\MainU.pas
 Module1=P:\vista\GUI-config\FMErrorU.pas
-Module2=P:\vista\GUI-config\GUI_Config.dpr
-Module3=P:\vista\GUI-config\frmSplash.pas
-Module4=P:\vista\GUI-config\AboutU.pas
-Module5=P:\vista\GUI-config\LookupU.pas
-Module6=P:\vista\GUI-config\DebugU.pas
-Count=7
+Module2=P:\vista\GUI-config\LookupU.pas
+Module3=P:\vista\GUI-config\DebugU.pas
+Count=4
 EditWindowCount=1
 
@@ -25,5 +22,5 @@
 ModuleType=SourceModule
 FormState=1
-FormOnTop=1
+FormOnTop=0
 
 [P:\vista\GUI-config\FMErrorU.pas]
@@ -32,19 +29,4 @@
 FormOnTop=0
 
-[P:\vista\GUI-config\GUI_Config.dpr]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\frmSplash.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\AboutU.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
 [P:\vista\GUI-config\LookupU.pas]
 ModuleType=SourceModule
@@ -61,6 +43,10 @@
 FormOnTop=0
 
+[P:\vista\GUI-config\GUI_Config.dpr]
+FormState=0
+FormOnTop=0
+
 [EditWindow0]
-ViewCount=7
+ViewCount=4
 CurrentView=0
 View0=0
@@ -68,35 +54,30 @@
 View2=2
 View3=3
-View4=4
-View5=5
-View6=6
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
 Create=1
 Visible=1
-State=2
-Left=440
-Top=155
-Width=584
-Height=330
+State=0
+Left=202
+Top=112
+Width=816
+Height=620
 MaxLeft=-4
-MaxTop=104
-MaxWidth=1032
-MaxHeight=634
-ClientWidth=1024
-ClientHeight=600
+MaxTop=108
+ClientWidth=808
+ClientHeight=586
 LeftPanelSize=0
 LeftPanelClients=CodeExplorer@EditWindow0
 LeftPanelData=00000400010000000C000000436F64654578706C6F726572000000000000000000000000000000000001000000000000000000000000FFFFFFFF
 RightPanelSize=0
-BottomPanelSize=0
-BottomPanelClients=MessageView@EditWindow0
-BottomPanelData=00000400010000000B0000004D657373616765566965770004000000000000029B00000000000000010000000000000000000000000100000000FF020000000000000100000000BC030000000000000100000000BC030000000000000100000000000400000B0000004D65737361676556696577FFFFFFFF
+BottomPanelSize=136
+BottomPanelClients=DockSite0
+BottomPanelData=000004000000000028030000000000000288000000000000000100000000770300000000000001000000002803000009000000446F636B5369746530FFFFFFFF
 
 [View0]
 Module=P:\vista\GUI-config\MainU.pas
-CursorX=17
-CursorY=1782
-TopLine=1775
+CursorX=31
+CursorY=1486
+TopLine=1472
 LeftCol=1
 
@@ -110,6 +91,6 @@
 [View2]
 Module=P:\vista\GUI-config\FMErrorU.pas
-CursorX=36
-CursorY=53
+CursorX=43
+CursorY=51
 TopLine=45
 LeftCol=1
@@ -120,25 +101,4 @@
 CursorY=112
 TopLine=25
-LeftCol=1
-
-[View4]
-Module=P:\vista\GUI-config\AboutU.pas
-CursorX=1
-CursorY=109
-TopLine=98
-LeftCol=1
-
-[View5]
-Module=P:\vista\GUI-config\frmSplash.pas
-CursorX=26
-CursorY=60
-TopLine=56
-LeftCol=1
-
-[View6]
-Module=P:\vista\GUI-config\GUI_Config.dpr
-CursorX=1
-CursorY=66
-TopLine=55
 LeftCol=1
 
@@ -156,14 +116,14 @@
 WatchShowColumnHeaders=1
 Create=1
-Visible=0
-State=0
-Left=125
-Top=202
-Width=764
-Height=235
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=756
-ClientHeight=209
+Visible=1
+State=0
+Left=0
+Top=0
+Width=788
+Height=107
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=788
+ClientHeight=107
 TBDockHeight=103
 LRDockWidth=421
@@ -171,14 +131,10 @@
 
 [Breakpoints]
-Count=9
-Breakpoint0='P:\vista\GUI-config\MainU.pas',1886,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint1='P:\vista\GUI-config\AboutU.pas',109,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint2='P:\vista\GUI-config\MainU.pas',2088,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint3='P:\vista\GUI-config\MainU.pas',2095,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint4='P:\vista\GUI-config\MainU.pas',2111,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint5='P:\vista\GUI-config\MainU.pas',2008,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint6='P:\vista\GUI-config\MainU.pas',2206,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint7='P:\vista\GUI-config\MainU.pas',1593,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint8='P:\vista\GUI-config\MainU.pas',1750,'',0,1,'',1,0,0,'',1,'','',''
+Count=5
+Breakpoint0='P:\vista\GUI-config\MainU.pas',2092,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint1='P:\vista\GUI-config\MainU.pas',2099,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint2='P:\vista\GUI-config\MainU.pas',2115,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint3='P:\vista\GUI-config\MainU.pas',2012,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint4='P:\vista\GUI-config\MainU.pas',2210,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -188,14 +144,12 @@
 Create=1
 Visible=1
-State=2
-Left=887
-Top=173
-Width=137
+State=0
+Left=0
+Top=0
+Width=1017
 Height=112
 MaxLeft=-1
 MaxTop=-1
-MaxWidth=1032
-MaxHeight=112
-ClientWidth=1024
+ClientWidth=1009
 ClientHeight=78
 
@@ -204,14 +158,14 @@
 Visible=0
 State=0
-Left=403
-Top=294
-Width=429
-Height=383
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=421
-ClientHeight=357
+Left=31
+Top=128
+Width=454
+Height=568
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=446
+ClientHeight=542
 TBDockHeight=408
-LRDockWidth=623
+LRDockWidth=140
 Dockable=1
 
@@ -236,13 +190,13 @@
 Visible=0
 State=0
-Left=145
-Top=114
-Width=800
-Height=561
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=792
-ClientHeight=527
-DumpPane=87
+Left=32
+Top=100
+Width=731
+Height=488
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=723
+ClientHeight=454
+DumpPane=79
 DisassemblyPane=187
 RegisterPane=231
@@ -253,6 +207,6 @@
 Visible=0
 State=0
-Left=53
-Top=123
+Left=98
+Top=122
 Width=156
 Height=84
@@ -268,17 +222,17 @@
 Left=0
 Top=0
-Width=250
-Height=522
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=250
-ClientHeight=522
-TBDockHeight=527
-LRDockWidth=250
+Width=238
+Height=536
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=238
+ClientHeight=536
+TBDockHeight=492
+LRDockWidth=246
 Dockable=1
 SplitPos=114
 ArrangeBy=Name
 SelectedItem=Caption
-ExpandedItems=Menu,Options
+ExpandedItems=Anchors,CalColors,Constraints,EdgeBorders,Font,Images,Options,PopupMenu
 HiddenCategories=Legacy
 
@@ -287,12 +241,12 @@
 Visible=0
 State=0
-Left=31
-Top=201
-Width=737
-Height=350
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=729
-ClientHeight=324
+Left=0
+Top=0
+Width=539
+Height=395
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=531
+ClientHeight=369
 TBDockHeight=197
 LRDockWidth=737
@@ -309,14 +263,14 @@
 Visible=0
 State=0
-Left=417
-Top=181
-Width=416
-Height=437
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=408
-ClientHeight=411
-TBDockHeight=355
-LRDockWidth=233
+Left=16
+Top=179
+Width=321
+Height=521
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=313
+ClientHeight=495
+TBDockHeight=411
+LRDockWidth=155
 Dockable=1
 
@@ -347,12 +301,12 @@
 Left=0
 Top=0
-Width=250
-Height=522
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=250
-ClientHeight=522
-TBDockHeight=527
-LRDockWidth=250
+Width=238
+Height=536
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=238
+ClientHeight=536
+TBDockHeight=175
+LRDockWidth=246
 Dockable=1
 
@@ -361,13 +315,13 @@
 Visible=0
 State=0
-Left=431
-Top=254
-Width=417
-Height=291
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=409
-ClientHeight=265
-TBDockHeight=291
+Left=0
+Top=625
+Width=387
+Height=218
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=379
+ClientHeight=192
+TBDockHeight=192
 LRDockWidth=417
 Dockable=1
@@ -417,6 +371,6 @@
 Visible=0
 State=0
-Left=310
-Top=284
+Left=308
+Top=283
 Width=457
 Height=250
@@ -471,32 +425,32 @@
 Left=0
 Top=12
-Width=218
-Height=461
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=218
-ClientHeight=461
+Width=140
+Height=376
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=140
+ClientHeight=376
 TBDockHeight=305
-LRDockWidth=218
+LRDockWidth=140
 Dockable=1
 
 [MessageView@EditWindow0]
 Create=1
-Visible=0
-State=0
-Left=12
-Top=0
-Width=1012
-Height=155
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=1012
-ClientHeight=155
-TBDockHeight=155
+Visible=1
+State=0
+Left=0
+Top=0
+Width=788
+Height=107
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=788
+ClientHeight=107
+TBDockHeight=215
 LRDockWidth=443
 Dockable=1
 
 [DockHosts]
-DockHostCount=1
+DockHostCount=2
 
 [DockSite0]
@@ -505,17 +459,37 @@
 Visible=1
 State=0
-Left=16
-Top=128
-Width=266
-Height=577
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=258
-ClientHeight=551
-TBDockHeight=539
-LRDockWidth=258
+Left=12
+Top=0
+Width=796
+Height=136
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=796
+ClientHeight=136
+TBDockHeight=136
+LRDockWidth=283
 Dockable=1
 TabPosition=0
-ActiveTab=Object TreeView
+ActiveTab=Watch List
+TabDockClients=MessageView@EditWindow0,WatchWindow
+
+[DockSite1]
+DockSiteType=1
+Create=1
+Visible=1
+State=0
+Left=6
+Top=121
+Width=254
+Height=591
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=246
+ClientHeight=565
+TBDockHeight=554
+LRDockWidth=254
+Dockable=1
+TabPosition=0
+ActiveTab=Object Inspector
 TabDockClients=PropertyInspector,ObjectTree
 