Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 820)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 877)
@@ -1,28 +1,70 @@
 [Closed Files]
-File_0=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Orders\fOrders.pas',0,1,2569,7,2577,0,0
-File_1=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\uConst.pas',0,1,229,3,205,0,0
-File_2=SourceModule,'c:\program files\borland\delphi7\source\vcl\WinHelpViewer.pas',0,1,651,1,669,0,0
-File_3=SourceModule,'c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas',0,1,16061,1,16069,0,0
-File_4=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\UploadImages.pas',0,1,523,1,527,0,0
-File_5=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Templates\rTemplates.pas',0,1,97,1,107,0,0
-File_6=SourceModule,'c:\program files\borland\delphi7\source\rtl\Win\Windows.pas',0,1,28842,1,28850,0,0
+File_0=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas',0,1,511,1,522,0,0
+File_1=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Orders\fOrders.pas',0,1,2809,1,2820,0,0
+File_2=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\uConst.pas',0,1,241,3,252,0,0
+File_3=SourceModule,'P:\Vista\tmg-cprs\CPRS-Lib\ORFn.pas',0,1,1378,1,1386,0,0
 
 [Modules]
-Module0=P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas
-Module1=C:\PROGRA~1\VISTA\BDK32\Source\ccowrpcbroker.pas
-Module2=P:\vista\tmg-cprs\CPRS-Chart\fLabs.pas
-Module3=c:\program files\borland\delphi7\source\vcl\Controls.pas
-Module4=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
-Module5=P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas
-Module6=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
-Module7=c:\program files\borland\delphi7\source\vcl\Forms.pas
-Module8=P:\vista\tmg-cprs\CPRS-Lib\ORNet.pas
-Module9=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
-Module10=P:\vista\tmg-cprs\CPRS-Chart\fSplash.pas
-Module11=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
-Count=12
+Module0=P:\vista\tmg-cprs\CPRS-Chart\fImages.pas
+Module1=P:\Vista\tmg-cprs\CPRS-Lib\ORCtrls.pas
+Module2=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas
+Module3=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
+Module4=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fImagePickExisting.pas
+Module5=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
+Module6=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
+Module7=P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas
+Module8=c:\program files\borland\delphi7\source\vcl\Forms.pas
+Module9=P:\vista\tmg-cprs\CPRS-Chart\UploadImages.pas
+Module10=P:\vista\tmg-cprs\CPRS-Chart\rHTMLTools.pas
+Module11=c:\program files\borland\delphi7\source\vcl\Menus.pas
+Module12=c:\program files\borland\delphi7\source\rtl\common\classes.pas
+Module13=c:\program files\borland\delphi7\source\vcl\Controls.pas
+Module14=c:\program files\borland\delphi7\source\vcl\ExtCtrls.pas
+Module15=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
+Module16=P:\vista\tmg-cprs\CPRS-Chart\fSplash.pas
+Module17=P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas
+Module18=P:\vista\tmg-cprs\CPRS-Chart\rTIU.pas
+Module19=P:\Vista\tmg-cprs\CPRS-Lib\ORNet.pas
+Module20=P:\vista\tmg-cprs\CPRS-Chart\fNoteDR.pas
+Module21=P:\vista\tmg-cprs\CPRS-Chart\rCore.pas
+Count=22
 EditWindowCount=1
 TypeLibWindowCount=1
 
+[P:\vista\tmg-cprs\CPRS-Chart\fImages.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\CPRS-Lib\ORCtrls.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fImagePickExisting.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\Sys\system.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\vcl\ComCtrls.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas]
 ModuleType=SourceModule
@@ -30,10 +72,25 @@
 FormOnTop=0
 
-[C:\PROGRA~1\VISTA\BDK32\Source\ccowrpcbroker.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fLabs.pas]
+[c:\program files\borland\delphi7\source\vcl\Forms.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\UploadImages.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\rHTMLTools.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\vcl\Menus.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\common\classes.pas]
 ModuleType=SourceModule
 FormState=0
@@ -45,45 +102,49 @@
 FormOnTop=0
 
-[C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas]
-ModuleType=SourceModule
+[c:\program files\borland\delphi7\source\vcl\ExtCtrls.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\vcl\StdCtrls.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fSplash.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\rTIU.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\CPRS-Lib\ORNet.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fNoteDR.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\rCore.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
 FormState=0
 FormOnTop=0
 
 [P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\Forms.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Lib\ORNet.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Sys\system.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fSplash.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
 FormState=0
 FormOnTop=0
@@ -93,15 +154,19 @@
 FormOnTop=0
 
+[P:\vista\tmg-cprs\CPRS-Chart\fPage.pas]
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fAutoSz.pas]
+FormState=0
+FormOnTop=0
+
 [P:\vista\tmg-cprs\CPRS-Chart\fHSplit.pas]
 FormState=0
 FormOnTop=0
 
-[P:\vista\tmg-cprs\CPRS-Chart\fPage.pas]
-FormState=0
-FormOnTop=0
-
 [EditWindow0]
-ViewCount=12
-CurrentView=1
+ViewCount=22
+CurrentView=6
 View0=0
 View1=1
@@ -116,4 +181,14 @@
 View10=10
 View11=11
+View12=12
+View13=13
+View14=14
+View15=15
+View16=16
+View17=17
+View18=18
+View19=19
+View20=20
+View21=21
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -121,74 +196,74 @@
 Visible=1
 State=0
-Left=139
-Top=111
-Width=848
-Height=698
+Left=80
+Top=97
+Width=816
+Height=620
 MaxLeft=-4
 MaxTop=108
-ClientWidth=840
-ClientHeight=664
+ClientWidth=808
+ClientHeight=586
 LeftPanelSize=0
 LeftPanelClients=CodeExplorer@EditWindow0
 LeftPanelData=00000400010000000C000000436F64654578706C6F726572000000000000000000000000000000000001000000000000000000000000FFFFFFFF
 RightPanelSize=0
-BottomPanelSize=221
-BottomPanelClients=DockSite1
-BottomPanelData=0000040000000000480300000000000002DD000000000000000100000000770300000000000001000000004803000009000000446F636B5369746531FFFFFFFF
+BottomPanelSize=136
+BottomPanelClients=WatchWindow,MessageView@EditWindow0
+BottomPanelData=0000040000000000280300000000000002880000000000000001000000007703000000000000010000000128030000000000000200000000870000000B000000576174636857696E646F770200000000880000000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
 Module=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
-CursorX=59
-CursorY=3483
-TopLine=3478
+CursorX=44
+CursorY=2072
+TopLine=2061
 LeftCol=1
 
 [View1]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas
-CursorX=42
-CursorY=829
-TopLine=817
+Module=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fImagePickExisting.pas
+CursorX=21
+CursorY=16
+TopLine=9
 LeftCol=1
 
 [View2]
-Module=c:\program files\borland\delphi7\source\vcl\Controls.pas
-CursorX=1
-CursorY=5991
-TopLine=5981
+Module=c:\program files\borland\delphi7\source\vcl\Menus.pas
+CursorX=1
+CursorY=1822
+TopLine=1811
 LeftCol=1
 
 [View3]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fLabs.pas
-CursorX=33
-CursorY=2170
-TopLine=2164
+Module=P:\vista\tmg-cprs\CPRS-Chart\rCore.pas
+CursorX=1
+CursorY=364
+TopLine=357
 LeftCol=1
 
 [View4]
-Module=c:\program files\borland\delphi7\source\vcl\Forms.pas
-CursorX=1
-CursorY=6956
-TopLine=6941
+Module=P:\vista\tmg-cprs\CPRS-Chart\fNoteDR.pas
+CursorX=50
+CursorY=67
+TopLine=56
 LeftCol=1
 
 [View5]
-Module=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
-CursorX=1
-CursorY=385
-TopLine=375
+Module=P:\vista\tmg-cprs\CPRS-Chart\UploadImages.pas
+CursorX=17
+CursorY=417
+TopLine=409
 LeftCol=1
 
 [View6]
-Module=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
-CursorX=1
-CursorY=433
-TopLine=418
+Module=P:\vista\tmg-cprs\CPRS-Chart\fImages.pas
+CursorX=1
+CursorY=1543
+TopLine=1426
 LeftCol=1
 
 [View7]
-Module=C:\PROGRA~1\VISTA\BDK32\Source\ccowrpcbroker.pas
-CursorX=1
-CursorY=363
-TopLine=353
+Module=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas
+CursorX=1
+CursorY=984
+TopLine=972
 LeftCol=1
 
@@ -196,23 +271,93 @@
 Module=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
 CursorX=1
-CursorY=9976
-TopLine=9963
+CursorY=10058
+TopLine=10060
 LeftCol=1
 
 [View9]
-Module=P:\vista\tmg-cprs\CPRS-Lib\ORNet.pas
-CursorX=1
-CursorY=346
-TopLine=335
+Module=c:\program files\borland\delphi7\source\vcl\ExtCtrls.pas
+CursorX=1
+CursorY=1639
+TopLine=1622
 LeftCol=1
 
 [View10]
-Module=P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas
-CursorX=31
-CursorY=2251
-TopLine=2244
+Module=P:\Vista\tmg-cprs\CPRS-Lib\ORCtrls.pas
+CursorX=1
+CursorY=2657
+TopLine=2642
 LeftCol=1
 
 [View11]
+Module=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
+CursorX=1
+CursorY=4114
+TopLine=4098
+LeftCol=1
+
+[View12]
+Module=c:\program files\borland\delphi7\source\vcl\Forms.pas
+CursorX=1
+CursorY=4849
+TopLine=4832
+LeftCol=1
+
+[View13]
+Module=c:\program files\borland\delphi7\source\vcl\Controls.pas
+CursorX=1
+CursorY=6245
+TopLine=6228
+LeftCol=1
+
+[View14]
+Module=c:\program files\borland\delphi7\source\rtl\common\classes.pas
+CursorX=1
+CursorY=10968
+TopLine=10956
+LeftCol=1
+
+[View15]
+Module=P:\Vista\tmg-cprs\CPRS-Lib\ORNet.pas
+CursorX=20
+CursorY=77
+TopLine=56
+LeftCol=1
+
+[View16]
+Module=P:\vista\tmg-cprs\CPRS-Chart\rTIU.pas
+CursorX=10
+CursorY=646
+TopLine=640
+LeftCol=1
+
+[View17]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas
+CursorX=1
+CursorY=748
+TopLine=740
+LeftCol=1
+
+[View18]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas
+CursorX=1
+CursorY=827
+TopLine=816
+LeftCol=1
+
+[View19]
+Module=P:\vista\tmg-cprs\CPRS-Chart\rHTMLTools.pas
+CursorX=1
+CursorY=251
+TopLine=240
+LeftCol=1
+
+[View20]
+Module=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
+CursorX=1
+CursorY=4143
+TopLine=4130
+LeftCol=1
+
+[View21]
 Module=P:\vista\tmg-cprs\CPRS-Chart\fSplash.pas
 CursorX=1
@@ -236,6 +381,7 @@
 
 [Watches]
-Count=1
+Count=2
 Watch0='Count',256,0,18,1,1,'Watches'
+Watch1='DeleteSts.Success',256,0,18,1,1,'Watches'
 
 [WatchWindow]
@@ -245,26 +391,26 @@
 Visible=1
 State=0
-Left=0
+Left=12
 Top=0
-Width=820
-Height=192
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=820
-ClientHeight=192
-TBDockHeight=103
+Width=796
+Height=131
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=796
+ClientHeight=131
+TBDockHeight=131
 LRDockWidth=421
 Dockable=1
 
 [Breakpoints]
-Count=52
+Count=47
 Breakpoint0='P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas',1714,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint1='P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas',1791,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint2='P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas',1068,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint3='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',3289,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint4='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',3295,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint5='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',4389,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint6='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',4830,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint7='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',4850,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint3='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',3293,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint4='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',3299,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint5='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',4393,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint6='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',4834,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint7='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',4854,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint8='P:\vista\tmg-cprs\CPRS-Chart\fLabs.pas',2419,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint9='P:\vista\tmg-cprs\CPRS-Chart\fReports.pas',2966,'',0,1,'',1,0,0,'',1,'','',''
@@ -298,17 +444,12 @@
 Breakpoint37='P:\vista\tmg-cprs\CPRS-Chart\rHTMLTools.pas',254,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint38='P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtQuery.pas',130,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint39='P:\vista\tmg-cprs\CPRS-Chart\UploadImages.pas',527,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint40='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',1774,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint41='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',1821,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint42='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',1894,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint43='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',3718,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint44='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',4900,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint45='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',5167,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint46='P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas',724,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint47='P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas',748,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint48='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',2025,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint49='P:\vista\tmg-cprs\CPRS-Chart\rTIU.pas',388,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint50='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',840,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint51='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',827,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint39='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',1821,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint40='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',1894,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint41='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',3718,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint42='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',4900,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint43='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',5167,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint44='P:\vista\tmg-cprs\CPRS-Chart\rTIU.pas',388,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint45='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',827,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint46='P:\vista\tmg-cprs\CPRS-Chart\fImages.pas',1550,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -397,9 +538,9 @@
 Top=0
 Width=238
-Height=499
+Height=536
 MaxLeft=-1
 MaxTop=-1
 ClientWidth=238
-ClientHeight=499
+ClientHeight=536
 TBDockHeight=492
 LRDockWidth=246
@@ -407,5 +548,5 @@
 SplitPos=114
 ArrangeBy=Name
-SelectedItem=Name
+SelectedItem=Images
 ExpandedItems=Anchors,CalColors,Constraints,EdgeBorders,Font,Images,Options,PopupMenu
 HiddenCategories=Legacy
@@ -437,6 +578,6 @@
 Visible=1
 State=0
-Left=6
-Top=183
+Left=16
+Top=179
 Width=321
 Height=521
@@ -471,14 +612,14 @@
 [ObjectTree]
 Create=1
-Visible=0
+Visible=1
 State=0
 Left=0
 Top=0
 Width=238
-Height=499
+Height=536
 MaxLeft=-1
 MaxTop=-1
 ClientWidth=238
-ClientHeight=499
+ClientHeight=536
 TBDockHeight=175
 LRDockWidth=246
@@ -613,18 +754,18 @@
 Visible=1
 State=0
-Left=0
-Top=0
-Width=820
-Height=192
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=820
-ClientHeight=192
-TBDockHeight=215
+Left=12
+Top=135
+Width=796
+Height=1
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=779
+ClientHeight=1
+TBDockHeight=1
 LRDockWidth=443
 Dockable=1
 
 [DockHosts]
-DockHostCount=2
+DockHostCount=1
 
 [DockSite0]
@@ -633,12 +774,12 @@
 Visible=1
 State=0
-Left=21
-Top=125
+Left=45
+Top=132
 Width=254
-Height=554
+Height=591
 MaxLeft=-1
 MaxTop=-1
 ClientWidth=246
-ClientHeight=528
+ClientHeight=565
 TBDockHeight=554
 LRDockWidth=254
@@ -648,22 +789,2 @@
 TabDockClients=PropertyInspector,ObjectTree
 
-[DockSite1]
-DockSiteType=1
-Create=1
-Visible=1
-State=0
-Left=12
-Top=0
-Width=828
-Height=221
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=828
-ClientHeight=221
-TBDockHeight=221
-LRDockWidth=283
-Dockable=1
-TabPosition=0
-ActiveTab=Messages
-TabDockClients=MessageView@EditWindow0,WatchWindow
-