Index: Scheduling/trunk/cs/bsdx0200GUISourceCode/CGAVView.cs
===================================================================
--- Scheduling/trunk/cs/bsdx0200GUISourceCode/CGAVView.cs	(revision 913)
+++ Scheduling/trunk/cs/bsdx0200GUISourceCode/CGAVView.cs	(revision 915)
@@ -59,4 +59,5 @@
             this.lblResource = new System.Windows.Forms.Label();
             this.panelCenter = new System.Windows.Forms.Panel();
+            this.calendarGrid1 = new IndianHealthService.ClinicalScheduling.CalendarGrid();
             this.ctxCalendarGrid = new System.Windows.Forms.ContextMenu();
             this.ctxCalGridAdd = new System.Windows.Forms.MenuItem();
@@ -90,5 +91,4 @@
             this.mnuHelpAbout = new System.Windows.Forms.MenuItem();
             this.splitter1 = new System.Windows.Forms.Splitter();
-            this.calendarGrid1 = new IndianHealthService.ClinicalScheduling.CalendarGrid();
             this.panelRight.SuspendLayout();
             this.panelClip.SuspendLayout();
@@ -219,234 +219,4 @@
             this.panelCenter.Size = new System.Drawing.Size(712, 469);
             this.panelCenter.TabIndex = 4;
-            // 
-            // ctxCalendarGrid
-            // 
-            this.ctxCalendarGrid.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
-            this.ctxCalGridAdd,
-            this.ctxCalGridEdit,
-            this.ctxCalGridDelete});
-            this.ctxCalendarGrid.Popup += new System.EventHandler(this.ctxCalendarGrid_Popup);
-            // 
-            // ctxCalGridAdd
-            // 
-            this.ctxCalGridAdd.Index = 0;
-            this.ctxCalGridAdd.Text = "Add New Access Block";
-            this.ctxCalGridAdd.Click += new System.EventHandler(this.ctxCalGridAdd_Click);
-            // 
-            // ctxCalGridEdit
-            // 
-            this.ctxCalGridEdit.Index = 1;
-            this.ctxCalGridEdit.Text = "Edit Access Block";
-            this.ctxCalGridEdit.Click += new System.EventHandler(this.ctxCalGridEdit_Click);
-            // 
-            // ctxCalGridDelete
-            // 
-            this.ctxCalGridDelete.Index = 2;
-            this.ctxCalGridDelete.Text = "Delete Access Block";
-            this.ctxCalGridDelete.Click += new System.EventHandler(this.ctxCalGridDelete_Click);
-            // 
-            // tvSchedules
-            // 
-            this.tvSchedules.BackColor = System.Drawing.SystemColors.ControlLight;
-            this.tvSchedules.Dock = System.Windows.Forms.DockStyle.Left;
-            this.tvSchedules.HotTracking = true;
-            this.tvSchedules.Location = new System.Drawing.Point(0, 0);
-            this.tvSchedules.Name = "tvSchedules";
-            this.tvSchedules.Size = new System.Drawing.Size(8, 517);
-            this.tvSchedules.Sorted = true;
-            this.tvSchedules.TabIndex = 5;
-            // 
-            // mainMenu1
-            // 
-            this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
-            this.menuItem1,
-            this.mnuAvailability,
-            this.mnuCalendar,
-            this.mnuHelp});
-            // 
-            // menuItem1
-            // 
-            this.menuItem1.Index = 0;
-            this.menuItem1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
-            this.mnuLoadTemplate,
-            this.mnuSaveTemplate,
-            this.menuItem6,
-            this.mnuSchedulingManagment,
-            this.menuItem5,
-            this.mnuClose});
-            this.menuItem1.Text = "&File";
-            // 
-            // mnuLoadTemplate
-            // 
-            this.mnuLoadTemplate.Index = 0;
-            this.mnuLoadTemplate.Shortcut = System.Windows.Forms.Shortcut.CtrlA;
-            this.mnuLoadTemplate.Text = "&Apply Template";
-            this.mnuLoadTemplate.Click += new System.EventHandler(this.mnuLoadTemplate_Click);
-            // 
-            // mnuSaveTemplate
-            // 
-            this.mnuSaveTemplate.Index = 1;
-            this.mnuSaveTemplate.Shortcut = System.Windows.Forms.Shortcut.CtrlS;
-            this.mnuSaveTemplate.Text = "&Save Template";
-            this.mnuSaveTemplate.Click += new System.EventHandler(this.mnuSaveTemplate_Click);
-            // 
-            // menuItem6
-            // 
-            this.menuItem6.Index = 2;
-            this.menuItem6.Text = "-";
-            // 
-            // mnuSchedulingManagment
-            // 
-            this.mnuSchedulingManagment.Index = 3;
-            this.mnuSchedulingManagment.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftM;
-            this.mnuSchedulingManagment.Text = "Scheduling &Management";
-            this.mnuSchedulingManagment.Click += new System.EventHandler(this.mnuSchedulingManagment_Click);
-            // 
-            // menuItem5
-            // 
-            this.menuItem5.Index = 4;
-            this.menuItem5.Text = "-";
-            // 
-            // mnuClose
-            // 
-            this.mnuClose.Index = 5;
-            this.mnuClose.Shortcut = System.Windows.Forms.Shortcut.CtrlW;
-            this.mnuClose.Text = "&Close";
-            this.mnuClose.Click += new System.EventHandler(this.mnuClose_Click);
-            // 
-            // mnuAvailability
-            // 
-            this.mnuAvailability.Index = 1;
-            this.mnuAvailability.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
-            this.mnuAddNewAV,
-            this.mnuRemoveAV,
-            this.mnuEditAV});
-            this.mnuAvailability.Text = "&Access Blocks";
-            this.mnuAvailability.Popup += new System.EventHandler(this.mnuAvailability_Popup);
-            // 
-            // mnuAddNewAV
-            // 
-            this.mnuAddNewAV.Index = 0;
-            this.mnuAddNewAV.Shortcut = System.Windows.Forms.Shortcut.CtrlN;
-            this.mnuAddNewAV.Text = "Add &New Block";
-            this.mnuAddNewAV.Click += new System.EventHandler(this.mnuAddNewAV_Click);
-            // 
-            // mnuRemoveAV
-            // 
-            this.mnuRemoveAV.Index = 1;
-            this.mnuRemoveAV.Shortcut = System.Windows.Forms.Shortcut.CtrlR;
-            this.mnuRemoveAV.Text = "&Remove Block";
-            this.mnuRemoveAV.Click += new System.EventHandler(this.mnuRemoveAV_Click);
-            // 
-            // mnuEditAV
-            // 
-            this.mnuEditAV.Index = 2;
-            this.mnuEditAV.Shortcut = System.Windows.Forms.Shortcut.CtrlE;
-            this.mnuEditAV.Text = "&Edit Block";
-            this.mnuEditAV.Click += new System.EventHandler(this.mnuEditAV_Click);
-            // 
-            // mnuCalendar
-            // 
-            this.mnuCalendar.Index = 2;
-            this.mnuCalendar.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
-            this.mnu1Day,
-            this.mnu5Day,
-            this.mnu7Day,
-            this.menuItem7,
-            this.mnuTimeScale,
-            this.mnuViewRightPanel});
-            this.mnuCalendar.Text = "&View";
-            // 
-            // mnu1Day
-            // 
-            this.mnu1Day.Index = 0;
-            this.mnu1Day.Shortcut = System.Windows.Forms.Shortcut.Ctrl1;
-            this.mnu1Day.Text = "&1-Day View";
-            this.mnu1Day.Click += new System.EventHandler(this.mnu1Day_Click);
-            // 
-            // mnu5Day
-            // 
-            this.mnu5Day.Index = 1;
-            this.mnu5Day.Shortcut = System.Windows.Forms.Shortcut.Ctrl5;
-            this.mnu5Day.Text = "&5-Day View";
-            this.mnu5Day.Click += new System.EventHandler(this.mnu5Day_Click);
-            // 
-            // mnu7Day
-            // 
-            this.mnu7Day.Index = 2;
-            this.mnu7Day.Shortcut = System.Windows.Forms.Shortcut.Ctrl7;
-            this.mnu7Day.Text = "&7-Day View";
-            this.mnu7Day.Click += new System.EventHandler(this.mnu7Day_Click);
-            // 
-            // menuItem7
-            // 
-            this.menuItem7.Index = 3;
-            this.menuItem7.Text = "-";
-            // 
-            // mnuTimeScale
-            // 
-            this.mnuTimeScale.Index = 4;
-            this.mnuTimeScale.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
-            this.mnu10Minute,
-            this.mnu15Minute,
-            this.mnu20Minute,
-            this.mnu30Minute});
-            this.mnuTimeScale.Text = "&Time Scale";
-            // 
-            // mnu10Minute
-            // 
-            this.mnu10Minute.Index = 0;
-            this.mnu10Minute.Shortcut = System.Windows.Forms.Shortcut.Ctrl0;
-            this.mnu10Minute.Text = "&10-Minute";
-            this.mnu10Minute.Click += new System.EventHandler(this.mnu10Minute_Click);
-            // 
-            // mnu15Minute
-            // 
-            this.mnu15Minute.Index = 1;
-            this.mnu15Minute.Shortcut = System.Windows.Forms.Shortcut.Ctrl4;
-            this.mnu15Minute.Text = "&15-Minute";
-            this.mnu15Minute.Click += new System.EventHandler(this.mnu15Minute_Click);
-            // 
-            // mnu20Minute
-            // 
-            this.mnu20Minute.Index = 2;
-            this.mnu20Minute.Shortcut = System.Windows.Forms.Shortcut.Ctrl3;
-            this.mnu20Minute.Text = "&20-Minute";
-            this.mnu20Minute.Click += new System.EventHandler(this.mnu20Minute_Click);
-            // 
-            // mnu30Minute
-            // 
-            this.mnu30Minute.Index = 3;
-            this.mnu30Minute.Shortcut = System.Windows.Forms.Shortcut.Ctrl2;
-            this.mnu30Minute.Text = "&30-Minute";
-            this.mnu30Minute.Click += new System.EventHandler(this.mnu30Minute_Click);
-            // 
-            // mnuViewRightPanel
-            // 
-            this.mnuViewRightPanel.Index = 5;
-            this.mnuViewRightPanel.Text = "&Access Block Clipboard";
-            this.mnuViewRightPanel.Click += new System.EventHandler(this.mnuViewRightPanel_Click);
-            // 
-            // mnuHelp
-            // 
-            this.mnuHelp.Index = 3;
-            this.mnuHelp.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
-            this.mnuHelpAbout});
-            this.mnuHelp.Text = "&Help";
-            // 
-            // mnuHelpAbout
-            // 
-            this.mnuHelpAbout.Index = 0;
-            this.mnuHelpAbout.Text = "&About";
-            this.mnuHelpAbout.Click += new System.EventHandler(this.mnuHelpAbout_Click);
-            // 
-            // splitter1
-            // 
-            this.splitter1.Dock = System.Windows.Forms.DockStyle.Right;
-            this.splitter1.Location = new System.Drawing.Point(720, 24);
-            this.splitter1.Name = "splitter1";
-            this.splitter1.Size = new System.Drawing.Size(8, 469);
-            this.splitter1.TabIndex = 6;
-            this.splitter1.TabStop = false;
             // 
             // calendarGrid1
@@ -477,4 +247,234 @@
             this.calendarGrid1.CGAppointmentChanged += new IndianHealthService.ClinicalScheduling.CGAppointmentChangedHandler(this.calendarGrid1_CGAppointmentChanged);
             this.calendarGrid1.CGAppointmentAdded += new IndianHealthService.ClinicalScheduling.CGAppointmentChangedHandler(this.calendarGrid1_CGAppointmentAdded);
+            // 
+            // ctxCalendarGrid
+            // 
+            this.ctxCalendarGrid.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
+            this.ctxCalGridAdd,
+            this.ctxCalGridEdit,
+            this.ctxCalGridDelete});
+            this.ctxCalendarGrid.Popup += new System.EventHandler(this.ctxCalendarGrid_Popup);
+            // 
+            // ctxCalGridAdd
+            // 
+            this.ctxCalGridAdd.Index = 0;
+            this.ctxCalGridAdd.Text = "Add New Access Block";
+            this.ctxCalGridAdd.Click += new System.EventHandler(this.ctxCalGridAdd_Click);
+            // 
+            // ctxCalGridEdit
+            // 
+            this.ctxCalGridEdit.Index = 1;
+            this.ctxCalGridEdit.Text = "Edit Access Block";
+            this.ctxCalGridEdit.Click += new System.EventHandler(this.ctxCalGridEdit_Click);
+            // 
+            // ctxCalGridDelete
+            // 
+            this.ctxCalGridDelete.Index = 2;
+            this.ctxCalGridDelete.Text = "Delete Access Block";
+            this.ctxCalGridDelete.Click += new System.EventHandler(this.ctxCalGridDelete_Click);
+            // 
+            // tvSchedules
+            // 
+            this.tvSchedules.BackColor = System.Drawing.SystemColors.ControlLight;
+            this.tvSchedules.Dock = System.Windows.Forms.DockStyle.Left;
+            this.tvSchedules.HotTracking = true;
+            this.tvSchedules.Location = new System.Drawing.Point(0, 0);
+            this.tvSchedules.Name = "tvSchedules";
+            this.tvSchedules.Size = new System.Drawing.Size(8, 517);
+            this.tvSchedules.Sorted = true;
+            this.tvSchedules.TabIndex = 5;
+            // 
+            // mainMenu1
+            // 
+            this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
+            this.menuItem1,
+            this.mnuAvailability,
+            this.mnuCalendar,
+            this.mnuHelp});
+            // 
+            // menuItem1
+            // 
+            this.menuItem1.Index = 0;
+            this.menuItem1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
+            this.mnuLoadTemplate,
+            this.mnuSaveTemplate,
+            this.menuItem6,
+            this.mnuSchedulingManagment,
+            this.menuItem5,
+            this.mnuClose});
+            this.menuItem1.Text = "&File";
+            // 
+            // mnuLoadTemplate
+            // 
+            this.mnuLoadTemplate.Index = 0;
+            this.mnuLoadTemplate.Shortcut = System.Windows.Forms.Shortcut.CtrlA;
+            this.mnuLoadTemplate.Text = "&Apply Template";
+            this.mnuLoadTemplate.Click += new System.EventHandler(this.mnuLoadTemplate_Click);
+            // 
+            // mnuSaveTemplate
+            // 
+            this.mnuSaveTemplate.Index = 1;
+            this.mnuSaveTemplate.Shortcut = System.Windows.Forms.Shortcut.CtrlS;
+            this.mnuSaveTemplate.Text = "&Save Template";
+            this.mnuSaveTemplate.Click += new System.EventHandler(this.mnuSaveTemplate_Click);
+            // 
+            // menuItem6
+            // 
+            this.menuItem6.Index = 2;
+            this.menuItem6.Text = "-";
+            // 
+            // mnuSchedulingManagment
+            // 
+            this.mnuSchedulingManagment.Index = 3;
+            this.mnuSchedulingManagment.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftM;
+            this.mnuSchedulingManagment.Text = "Scheduling &Management";
+            this.mnuSchedulingManagment.Click += new System.EventHandler(this.mnuSchedulingManagment_Click);
+            // 
+            // menuItem5
+            // 
+            this.menuItem5.Index = 4;
+            this.menuItem5.Text = "-";
+            // 
+            // mnuClose
+            // 
+            this.mnuClose.Index = 5;
+            this.mnuClose.Shortcut = System.Windows.Forms.Shortcut.CtrlW;
+            this.mnuClose.Text = "&Close";
+            this.mnuClose.Click += new System.EventHandler(this.mnuClose_Click);
+            // 
+            // mnuAvailability
+            // 
+            this.mnuAvailability.Index = 1;
+            this.mnuAvailability.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
+            this.mnuAddNewAV,
+            this.mnuRemoveAV,
+            this.mnuEditAV});
+            this.mnuAvailability.Text = "&Access Blocks";
+            this.mnuAvailability.Popup += new System.EventHandler(this.mnuAvailability_Popup);
+            // 
+            // mnuAddNewAV
+            // 
+            this.mnuAddNewAV.Index = 0;
+            this.mnuAddNewAV.Shortcut = System.Windows.Forms.Shortcut.CtrlN;
+            this.mnuAddNewAV.Text = "Add &New Block";
+            this.mnuAddNewAV.Click += new System.EventHandler(this.mnuAddNewAV_Click);
+            // 
+            // mnuRemoveAV
+            // 
+            this.mnuRemoveAV.Index = 1;
+            this.mnuRemoveAV.Shortcut = System.Windows.Forms.Shortcut.CtrlR;
+            this.mnuRemoveAV.Text = "&Remove Block";
+            this.mnuRemoveAV.Click += new System.EventHandler(this.mnuRemoveAV_Click);
+            // 
+            // mnuEditAV
+            // 
+            this.mnuEditAV.Index = 2;
+            this.mnuEditAV.Shortcut = System.Windows.Forms.Shortcut.CtrlE;
+            this.mnuEditAV.Text = "&Edit Block";
+            this.mnuEditAV.Click += new System.EventHandler(this.mnuEditAV_Click);
+            // 
+            // mnuCalendar
+            // 
+            this.mnuCalendar.Index = 2;
+            this.mnuCalendar.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
+            this.mnu1Day,
+            this.mnu5Day,
+            this.mnu7Day,
+            this.menuItem7,
+            this.mnuTimeScale,
+            this.mnuViewRightPanel});
+            this.mnuCalendar.Text = "&View";
+            // 
+            // mnu1Day
+            // 
+            this.mnu1Day.Index = 0;
+            this.mnu1Day.Shortcut = System.Windows.Forms.Shortcut.Ctrl1;
+            this.mnu1Day.Text = "&1-Day View";
+            this.mnu1Day.Click += new System.EventHandler(this.mnu1Day_Click);
+            // 
+            // mnu5Day
+            // 
+            this.mnu5Day.Index = 1;
+            this.mnu5Day.Shortcut = System.Windows.Forms.Shortcut.Ctrl5;
+            this.mnu5Day.Text = "&5-Day View";
+            this.mnu5Day.Click += new System.EventHandler(this.mnu5Day_Click);
+            // 
+            // mnu7Day
+            // 
+            this.mnu7Day.Index = 2;
+            this.mnu7Day.Shortcut = System.Windows.Forms.Shortcut.Ctrl7;
+            this.mnu7Day.Text = "&7-Day View";
+            this.mnu7Day.Click += new System.EventHandler(this.mnu7Day_Click);
+            // 
+            // menuItem7
+            // 
+            this.menuItem7.Index = 3;
+            this.menuItem7.Text = "-";
+            // 
+            // mnuTimeScale
+            // 
+            this.mnuTimeScale.Index = 4;
+            this.mnuTimeScale.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
+            this.mnu10Minute,
+            this.mnu15Minute,
+            this.mnu20Minute,
+            this.mnu30Minute});
+            this.mnuTimeScale.Text = "&Time Scale";
+            // 
+            // mnu10Minute
+            // 
+            this.mnu10Minute.Index = 0;
+            this.mnu10Minute.Shortcut = System.Windows.Forms.Shortcut.Ctrl0;
+            this.mnu10Minute.Text = "&10-Minute";
+            this.mnu10Minute.Click += new System.EventHandler(this.mnu10Minute_Click);
+            // 
+            // mnu15Minute
+            // 
+            this.mnu15Minute.Index = 1;
+            this.mnu15Minute.Shortcut = System.Windows.Forms.Shortcut.Ctrl4;
+            this.mnu15Minute.Text = "&15-Minute";
+            this.mnu15Minute.Click += new System.EventHandler(this.mnu15Minute_Click);
+            // 
+            // mnu20Minute
+            // 
+            this.mnu20Minute.Index = 2;
+            this.mnu20Minute.Shortcut = System.Windows.Forms.Shortcut.Ctrl3;
+            this.mnu20Minute.Text = "&20-Minute";
+            this.mnu20Minute.Click += new System.EventHandler(this.mnu20Minute_Click);
+            // 
+            // mnu30Minute
+            // 
+            this.mnu30Minute.Index = 3;
+            this.mnu30Minute.Shortcut = System.Windows.Forms.Shortcut.Ctrl2;
+            this.mnu30Minute.Text = "&30-Minute";
+            this.mnu30Minute.Click += new System.EventHandler(this.mnu30Minute_Click);
+            // 
+            // mnuViewRightPanel
+            // 
+            this.mnuViewRightPanel.Index = 5;
+            this.mnuViewRightPanel.Text = "&Access Block Clipboard";
+            this.mnuViewRightPanel.Click += new System.EventHandler(this.mnuViewRightPanel_Click);
+            // 
+            // mnuHelp
+            // 
+            this.mnuHelp.Index = 3;
+            this.mnuHelp.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
+            this.mnuHelpAbout});
+            this.mnuHelp.Text = "&Help";
+            // 
+            // mnuHelpAbout
+            // 
+            this.mnuHelpAbout.Index = 0;
+            this.mnuHelpAbout.Text = "&About";
+            this.mnuHelpAbout.Click += new System.EventHandler(this.mnuHelpAbout_Click);
+            // 
+            // splitter1
+            // 
+            this.splitter1.Dock = System.Windows.Forms.DockStyle.Right;
+            this.splitter1.Location = new System.Drawing.Point(720, 24);
+            this.splitter1.Name = "splitter1";
+            this.splitter1.Size = new System.Drawing.Size(8, 469);
+            this.splitter1.TabIndex = 6;
+            this.splitter1.TabStop = false;
             // 
             // CGAVView