Index: qrda/schematron/QRDA_CategoryI_WorldVistAH-2011-Working.xml
===================================================================
--- qrda/schematron/QRDA_CategoryI_WorldVistAH-2011-Working.xml	(revision 921)
+++ qrda/schematron/QRDA_CategoryI_WorldVistAH-2011-Working.xml	(revision 927)
@@ -236,5 +236,5 @@
          <!-- http://terminology.vetmed.vt.edu/SCT/menu.cfm to look up codes-->
          <!--59058001 is general physician ;Family Medicine specialist is 62247001-->
-          <code code="62247001" codeSystem="2.16.840.1.113883.6.69" codeSystemName="SNOMED CT" displayName="Internal Medician Specialist"/>
+          <code code="62247001" codeSystem="2.16.840.1.113883.6.69" codeSystemName="SNM" displayName="Internal Medician Specialist"/>
           <addr>
             <streetAddressLine>123 Maple Ave</streetAddressLine>
@@ -283,5 +283,5 @@
          <!-- http://terminology.vetmed.vt.edu/SCT/menu.cfm to look up codes-->
          <!--59058001 is general physician ;Family Medicine specialist is 62247001-->
-          <code code="62247001" codeSystem="2.16.840.1.113883.6.69" codeSystemName="SNOMED CT" displayName="Internal Medician Specialist"/>
+          <code code="62247001" codeSystem="2.16.840.1.113883.6.69" codeSystemName="SNM" displayName="Internal Medician Specialist"/>
           <addr>
             <streetAddressLine>123 Maple Ave</streetAddressLine>
@@ -656,4 +656,6 @@
                               <low value="20010101"/>
                             </effectiveTime>
+                            <!--CONF-QRDA1-166 follows-->
+                            <code code="64572001" type="CD" displayName="condition" codeSystem="2.16.840.1.113883.6.96"/>
                             <!--CD is a concept descriptor and the code systeem is ICD9 for 6.103 -->
                             <value xsi:type="CD" code="250.00" codeSystem="2.16.840.1.113883.6.103" displayName="Diabetes Mellitus"/>
@@ -668,6 +670,6 @@
                                 <code code="33999-4" codeSystem="2.16.840.1.113883.6.1" codeSystemName="LOINC" displayName="Status"/>
                                 <statusCode code="completed"/>
-                                <!--55561003 is fro active CE is for coded with equivalents data type and 6.96 is SNOMED  CT-->
-                                <value xsi:type="CE" code="90734009" codeSystem="2.16.840.1.113883.6.96" codeSystemName="SNOMED CT" displayName="Chronic"/>
+                                <!--55561003 is fro active CE is for coded with equivalents data type and 2.16.840.1.113883.6.96 is SNOMED  CT.  This is CONF-QRDA1-168 and comes from the downloadable resource tab C-->
+                                <value xsi:type="CE" code="90734009" codeSystem="2.16.840.1.113883.6.96" codeSystemName="SNM" displayName="Chronic"/>
                               </observation>
                             </entryRelationship>
@@ -696,4 +698,5 @@
                               <low value="20030101"/>
                             </effectiveTime>
+                            <code code="64572001" type="CD" displayName="condition" codeSystem="2.16.840.1.113883.6.96"/>
                             <!--CD is a concept descriptor and the code systeem is ICD9 for 6.103 -->
                             <value xsi:type="CD" code="428.0" codeSystem="2.16.840.1.113883.6.103" displayName="Congestive Heart Failure"/>
@@ -709,10 +712,10 @@
                                 <statusCode code="completed"/>
                                 <!--55561003 is fro active CE is for coded with equivalents data type and 6.96 is SNOMED  CT-->
-                                <value xsi:type="CE" code="90734009" codeSystem="2.16.840.1.113883.6.96" codeSystemName="SNOMED CT" displayName="Chronic"/>
+                                <value xsi:type="CE" code="90734009" codeSystem="2.16.840.1.113883.6.96" codeSystemName="SNM" displayName="Chronic"/>
                               </observation>
                             </entryRelationship>
                           </observation>
-                        </entryRelationship>
-                      </act>
+                       </entryRelationship>
+                     </act>
 							      </entry>
                     <entry typeCode="DRIV">
@@ -735,4 +738,5 @@
                               <low value="20030101"/>
                             </effectiveTime>
+                            <code code="64572001" type="CD" displayName="condition" codeSystem="2.16.840.1.113883.6.96"/>
                             <!--CD is a concept descriptor and the code systeem is ICD9 for 6.103 -->
                             <value xsi:type="CD" code="412" codeSystem="2.16.840.1.113883.6.103" displayName="Old Myocardial Infarction"/>
@@ -748,5 +752,5 @@
                                 <statusCode code="completed"/>
                                 <!--55561003 is fro active CE is for coded with equivalents data type and 6.96 is SNOMED  CT-->
-                                <value xsi:type="CE" code="73425007" codeSystem="2.16.840.1.113883.6.96" codeSystemName="SNOMED CT" displayName="Inactive"/>
+                                <value xsi:type="CE" code="73425007" codeSystem="2.16.840.1.113883.6.96" codeSystemName="SNM" displayName="Inactive"/>
                               </observation>
                             </entryRelationship>
@@ -1095,5 +1099,5 @@
 <templateId root="2.16.840.1.113883.10.20.1.32"/>
 <id root="38eb54f1-888c-11df-a4ee-0800200c9c66"/>
-<code code="363679005" codeSystemName="SNOMED CT" displayName="IMAGING"/>
+<code code="363679005" codeSystemName="SNM" displayName="IMAGING"/>
 <statusCode code="completed"/>
 <effectiveTime value="201002071300"/>
@@ -1104,5 +1108,5 @@
 <!--<templateId root="1.3.6.1.4.1.19376.1.5.3.1.4.13" assigningAuthorityName="IHE PCC"/>-->
 <id root="38eb54f2-888c-11df-a4ee-0800200c9c66"/>
-<code code="250908004" codeSystem="2.16.840.1.113883.6.96" codeSystemName="SNOMED CT" displayName="LEFT VERTRICULAR EJECTION FRACTION"/>
+<code code="250908004" codeSystem="2.16.840.1.113883.6.96" codeSystemName="SNM" displayName="LEFT VERTRICULAR EJECTION FRACTION"/>
 <text>LEFT VERTRICULAR EJECTION FRACTION</text>
 <statusCode code="completed"/>
@@ -1172,5 +1176,5 @@
 <templateId root="2.16.840.1.113883.10.20.1.29"/>
 <id root="a32801b9-8855-11df-a4ee-0800200c9c66"/>
-<code code="24623002" codeSystem="2.16.840.1.113883.6.96" codeSystemName="SNOMED CT" displayName="SCREENING MAMMOGRAPHY"/>
+<code code="24623002" codeSystem="2.16.840.1.113883.6.96" codeSystemName="SNM" displayName="SCREENING MAMMOGRAPHY"/>
 <statusCode code="completed"/>
 <effectiveTime value="20100207"/>
@@ -1348,5 +1352,5 @@
 <templateId root="1.3.6.1.4.1.19376.1.5.3.1.4.13.1" assigningAuthorityName="IHE PCC"/>
 <id root="7eedbc60-8a15-11df-a4ee-0800200c9c66"/>
-<code code="46680005" codeSystem="2.16.840.1.113883.6.96" displayName="Vital signs" codeSystemName="SNOMED CT"/>
+<code code="46680005" codeSystem="2.16.840.1.113883.6.96" displayName="Vital signs" codeSystemName="SNM"/>
 <statusCode code="completed"/>
 <effectiveTime value="20100210"/>
@@ -1357,5 +1361,5 @@
 <templateId root="1.3.6.1.4.1.19376.1.5.3.1.4.13" assigningAuthorityName="IHE PCC"/>
 <id root="a32801b7-8855-11df-a4ee-0800200c9c66"/>
-<code displayName="SYSTOLIC BLOOD PRESSURE" code="72313002" codeSystemName="SNOMED CT" codeSystem="2.16.840.1.113883.6.96"/>
+<code displayName="SYSTOLIC BLOOD PRESSURE" code="72313002" codeSystemName="SNM" codeSystem="2.16.840.1.113883.6.96"/>
 <statusCode code="completed"/>
 <effectiveTime value="20100210"/>
@@ -1370,5 +1374,5 @@
 <templateId root="1.3.6.1.4.1.19376.1.5.3.1.4.13" assigningAuthorityName="IHE PCC"/>
 <id root="a32801b8-8855-11df-a4ee-0800200c9c66"/>
-<code displayName="DIASTOLIC BLOOD PRESSURE" code="271649006" codeSystemName="SNOMED CT" codeSystem="2.16.840.1.113883.6.96"/>
+<code displayName="DIASTOLIC BLOOD PRESSURE" code="271649006" codeSystemName="SNM" codeSystem="2.16.840.1.113883.6.96"/>
 <statusCode code="completed"/>
 <effectiveTime value="20100210"/>
@@ -1383,5 +1387,5 @@
 <templateId root="1.3.6.1.4.1.19376.1.5.3.1.4.13" assigningAuthorityName="IHE PCC"/>
 <id root="7eedbc64-8a15-11df-a4ee-0800200c9c66"/>
-<code displayName="HEART RATE" code="364075005" codeSystemName="SNOMED CT" codeSystem="2.16.840.1.113883.6.96"/>
+<code displayName="HEART RATE" code="364075005" codeSystemName="SNM" codeSystem="2.16.840.1.113883.6.96"/>
 <statusCode code="completed"/>
 <effectiveTime value="20100210"/>
@@ -1401,5 +1405,5 @@
 <templateId root="1.3.6.1.4.1.19376.1.5.3.1.4.13.1" assigningAuthorityName="IHE PCC"/>
 <id root="7eede370-8a15-11df-a4ee-0800200c9c66"/>
-<code code="46680005" codeSystem="2.16.840.1.113883.6.96" displayName="Vital signs" codeSystemName="SNOMED CT"/>
+<code code="46680005" codeSystem="2.16.840.1.113883.6.96" displayName="Vital signs" codeSystemName="SNM"/>
 <statusCode code="completed"/>
 <effectiveTime value="20100701"/>
@@ -1410,5 +1414,5 @@
 <templateId root="1.3.6.1.4.1.19376.1.5.3.1.4.13" assigningAuthorityName="IHE PCC"/>
 <id root="7eede371-8a15-11df-a4ee-0800200c9c66"/>
-<code displayName="SYSTOLIC BLOOD PRESSURE" code="72313002" codeSystemName="SNOMED CT" codeSystem="2.16.840.1.113883.6.96"/>
+<code displayName="SYSTOLIC BLOOD PRESSURE" code="72313002" codeSystemName="SNM" codeSystem="2.16.840.1.113883.6.96"/>
 <statusCode code="completed"/>
 <effectiveTime value="20100701"/>
@@ -1423,5 +1427,5 @@
 <templateId root="1.3.6.1.4.1.19376.1.5.3.1.4.13" assigningAuthorityName="IHE PCC"/>
 <id root="7eede372-8a15-11df-a4ee-0800200c9c66"/>
-<code displayName="DIASTOLIC BLOOD PRESSURE" code="271649006" codeSystemName="SNOMED CT" codeSystem="2.16.840.1.113883.6.96"/>
+<code displayName="DIASTOLIC BLOOD PRESSURE" code="271649006" codeSystemName="SNM" codeSystem="2.16.840.1.113883.6.96"/>
 <statusCode code="completed"/>
 <effectiveTime value="20100701"/>
@@ -1436,5 +1440,5 @@
 <templateId root="1.3.6.1.4.1.19376.1.5.3.1.4.13" assigningAuthorityName="IHE PCC"/>
 <id root="7eede373-8a15-11df-a4ee-0800200c9c66"/>
-<code displayName="HEART RATE" code="364075005" codeSystemName="SNOMED CT" codeSystem="2.16.840.1.113883.6.96"/>
+<code displayName="HEART RATE" code="364075005" codeSystemName="SNM" codeSystem="2.16.840.1.113883.6.96"/>
 <statusCode code="completed"/>
 <effectiveTime value="20100701"/>