Index: qrda/schematron/templates/2.16.840.1.113883.10.20.12.ent
===================================================================
--- qrda/schematron/templates/2.16.840.1.113883.10.20.12.ent	(revision 927)
+++ qrda/schematron/templates/2.16.840.1.113883.10.20.12.ent	(revision 929)
@@ -616,5 +616,6 @@
         Warning: CONF-QRDA1-159, CONF-QRDA1-160:  A problem MAY reference a problem observation, alert observation or othe clinical statement this is the subject of concern, by setting the value for Act /entryRelationship / @typeCode to be SUBJ 2.16.840.1.113883.5.1002 ActRelationshipType STATIC. The target of a problem  act with Act /entryRelationship / @typeCode SUBJ SHOULD be a problem observation (in the Problem section) or alert observation but MAY be some other clinical statement.
         </assert>
-        </rule>
+       <assert test='cda:entryRelationship/cda:observation/cda:templateId[@root="2.16.840.1.113883.10.20.1.28"]'> Error: CONF-QRDA1-161 The CMS EHR QRDA Report Problem observation (2.16.840.1.113883.3.249.11.100.8) SHALL confirm to the rules of Problem observation (2.16.840.1.113883.10.20.1.28) and SHALL be represented with Observation.
+	</assert>
          <!-- this goes in Social History
          <assert test="count(cda:templateId[@root='2.16.840.1.113883.10.20.1.41']) &lt;= 1">A problem act MAY contain exactly one episode observation. The template identifier for an episode observation is 2.16.840.1.113883.10.20.1.41.</assert> -->
@@ -622,8 +623,14 @@
 
 <!-- Problem observation template is 2.16.840.1.113883.10.20.1.28-->
+	
+	 </rule>
     <rule context='*[cda:templateId/@root="2.16.840.1.113883.10.20.1.28"]'>
     <!--DAVID LOOK BELOW IT WORKS BUT DOES NOT MAKE MUCH SENSE TO ME-->
-        <assert test="self::cda:observation[@moodCode='EVN']">
-        Errror: CONF-QRDA1-161 CONF-QRDA1-162:A problem observation (templateId 2.16.840.1.113883.10.20.1.28) SHALL be represented with Observation. The value for "Observation / moodCode" in a problem observation SHALL be "EVN"  2.16.840.1.113883.5.1001 ActMood STATIC.</assert>
+	<!--<assert test='cda:observation\cda:templateId[@root="2.16.840.1.113883.3.249.11.100.8"]'> Error: CONF-QRDA1-161 The CMS EHR QRDA Report Problem observation (2.16.840.1.113883.3.249.11.100.8) SHALL confrim to the rules of Problem observation (2.16.840.1.113883.10.20.1.28) and SHALL be represented with Observation.
+	</assert>-->
+	
+        <assert test='self::cda:observation[@moodCode="EVN"]'>
+        Error: CONF-QRDA1-161 CONF-QRDA1-162:A problem observation (templateId 2.16.840.1.113883.10.20.1.28) SHALL be represented with Observation. The value for "Observation / moodCode" in a problem observation SHALL be "EVN"  2.16.840.1.113883.5.1001 ActMood STATIC.
+        </assert>
         <assert test="count(cda:statusCode)=1">
         Error: CONF-QRDA1-163 problem observation SHALL include exactly one Observation / statusCode.
@@ -637,25 +644,36 @@
         </assert>
         <!--The next node is for when neither precise dates nor ages are known-->
-        <assert test='cda:entryRelationship[@typeCode="SUBJ"]'> Warning: CONF-QRDA1-167 The value for Observation / entry Relationship / @typeCode in a problem observation MAY be SUBJ 2.16.840.1.113883.5.1002 ActRelationshipType STATIC to reference an age observation (templateId 2.16.840.1.113883.10.20.1.38)
-        </assert>
+        
         <!--Additional information for the next assertion -  the Problem Type Codes 2.16.840.1.113883.1.11.20.14 include 64572001 with displayName="condition", 418799008 with displayName="symptom", 404684003 with displayName="finding", 409586006 with displayName="complaint", and 24853006 with displayName="functional limitation".  The code system is SNOMED CT and the codeType="CD".)-->
         <assert test='cda:code[(@code="64572001") or (@code="418799008") or (@code="404684003") or (@code="409586006") or (@code="24853006")]'> Warning: CONF-QRDA1-166 The value for Observation /code in a problem observation MAY be selected from ValueSet 2.16.840.1.113883.1.11.20.14 ProblemTypeCode STATIC 20061017.
         </assert>
+        <!--<assert test='cda:entryRelationship[@typeCode="SUBJ"]'> Warning: CONF-QRDA1-167 The value for Observation / entry Relationship / @typeCode in a problem observation MAY be SUBJ 2.16.840.1.113883.5.1002 ActRelationshipType STATIC to reference an age observation (templateId 2.16.840.1.113883.10.20.1.38)
+        </assert>-->
         <!--for CONF-QRDA1-168 see the include file referenced below-->
         <include href="./templates/2.16.840.113883.10.20.1.28-AppendixC-2011.entInclude"/>
-       <!--<assert test='cda:observation/cda:value[(@codeSystemName="I9" and @codeSystem="2.16.840.1.113883.6.103" and @code="637.92" and @displayName="AB NOS UNCOMPLICAT-COMP")]'> 
-        Error:  CONF-QRDA1-168 he value for Observation / value/ @code in a problem observation SHALL be from Appendix_C-Problems tab of the Downloadable resources table.
-        </assert>-->
+        <assert test='cda:entryRelationship/cda:observation/cda:templateId[@root="2.16.840.1.113883.10.20.1.50"]'>  Error: CONF-QRDA1-169 A CMS EHR QRDA Problem status observation (2.16.840.1.113883.3.249.11.100.12) SHALL conform to the rules of the Problem status Observation problem status observation (2.16.840.1.113883.10.20.1.50).
+        </assert>
+        </rule>
+        <rule context='*[cda:templateId/@root="2.16.840.1.113883.10.20.1.50"]'>
+	<assert test='count(self::cda:observation) = 1'> Error: CONF-QRDA1-169 A problem observation SHALL contain exactly one CMS EHR QRDA Problem status observation.  The template identifier for a problem status observation is 2.16.840.1.113883.10.20.1.50.
+        </assert>  
+        <assert test='self::cda:observation/cda:code[@code="33999-4"]'> Error: CONF-QRDA1-170 the value for observation/code/@code in problem status observation (templateId 2.16.840.1.113883.10.20.1.50) SHALL be 33999-4 status 2.16.840.1.113883.6.1 LOINC STATIC.
+        </assert>
+        <assert test='self::cda:observation/cda:value[(@code="55561003" and @displayName="Active" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM") or (@code="73425007" and @displayName="Inactive" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM") or (@code="90734009" and @displayName="Chronic" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM") or (@code="7087005" and @displayName="Intermittent" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM") or (@code="255227004" and @displayName="Recurrent" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM") or (@code="415684004" and @displayName="Rule out" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM") or (@code="410516002" and @displayName="Ruled out" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM") or (@code="413322009" and @displayName="Resolved" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM")]'>
+        Error: CONF-QRDA1-171 The value for Observation / value in a problem status observation SHALL be seleced from ValuseSet 2.16.840.1.113883.1.11.20.13 ProbleStatusCode STATIC 20061017. Refer Apendix_P-Vocabs_and_ValueSets tab of the Downloadabe Resources table.
+        </assert>
         
-        <!--<assert test="count(cda:templateId[@root='2.16.840.1.113883.10.20.1.50']) &lt; 2">A problem observation MAY contain exactly one problem status observation. The template identifier for a problem status observation is 2.16.840.1.113883.10.20.1.50.</assert>
-        <assert test="count(cda:templateId[@root='2.16.840.1.113883.10.20.1.51']) &lt; 2">A problem observation MAY contain exactly one problem healthstatus observation. The template identifier for a problem healthstatus observation is 2.16.840.1.113883.10.20.1.51.</assert>
-        <assert test="count(cda:templateId[@root='2.16.840.1.113883.10.20.1.48']) &lt; 2">A problem observation MAY contain exactly one patient awareness.</assert>
         </rule>
-        <rule context='*[cda:templateId/@root="2.16.840.1.113883.10.20.1.28"]'>
-        <assert test="count(cda:effectiveTime)=1">A problem observation SHOULD contain exactly one Observation / effectiveTime, to indicate the timing of condition (e.g. the time the condition started, the onset of the illness or symptom).</assert>
-</rule>-->
-
-
-   </rule>
+       <!--<assert test='count(cda:observation/cda:templateId[@root='2.16.840.1.113883.10.20.1.51']) = 1"> Warning: CONF-QRDA1-172 A problem observation MAY contain exactly one problem healthstatus observation. The template identifier for a problem healthstatus observation is 2.16.840.1.113883.10.20.1.51.
+       </assert>-->
+        <rule context='*[cda:templateId/@root="2.16.840.1.113883.10.20.1.51"]'>
+        <assert test='count(self::cda:observation) = 1'> Warning: CONF-QRDA1-172 A problem observation MAY contain exactly one problem healthstatus observation. The template identifier for a problem healthstatus observation is 2.16.840.1.113883.10.20.1.51.
+        </assert>
+       <assert test='cda:value[(@code="81323004" and @displayName="Alive and well" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM") or (@code="313386006" and @displayName="In remission" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM") or (@code="162467007" and @displayName="Symptom free" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM") or (@code="161901003" and @displayName="Chronically ill" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM") or (@code="271593001" and @displayName="Severely ill" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM") or (@code="21134002" and @displayName="Disabled" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM") or (@code="161045001" and @displayName="Severely disabled" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM") or (@code="419099009" and @displayName="Deceased" and @codeSystem="2.16.840.1.113883.6.96" and @codeSystemName="SNM")]'> Error: CONF-QRDA1-173 The value for Observation /value in a problem healthstatusobservation SHALL be selected from ValuseSet 2.16.840.1.113883.1.11.20.12 ProblemHealthStatus STATIC 20061017.  Refer Appendix_P-Vocabs_and_ValueSets tab of the Downloadable Resources table.
+       </assert>
+        </rule>
+        
+
+
 
 </pattern>